/*#######################
#   Read the XML file   #
#######################*/

if (window.XMLHttpRequest) {
    // Working on modern browsers:
    xmlhttp = new XMLHttpRequest();
    xmlhttp.open('GET', 'tempest_complete.xml', false);
    xmlhttp.setRequestHeader('Content-Type', 'text/xml');
    xmlhttp.send('');
    xmlDoc = xmlhttp.responseXML;
}
else {
    // Working on su Internet Explorer:
    xmlDoc = new ActiveXObject("Microsoft.XMLHTTP"); // New code, from https://www.w3schools.com/xml/xml_http.asp
    xmlDoc.async=false;
    xmlDoc.load('tempest_complete.xml');
}




/*#####################
#    Visualization    #
#####################*/

document.write('<h1>Visualization</h1>');

var sps = xmlDoc.getElementsByTagName('sp');       // ottieni Elementi Per Nome Del Tag
for (var n = 0; n < sps.length; n++) {
    var sp = sps[n];
    
    var sptext = sp.textContent;
    /* document.write('<h4>' + sptext + '</h4>'); */
    document.write('<br/>');
    
    
    var speaker = sp.getElementsByTagName('speaker')[0];
    var speakertext = speaker.textContent;
    document.write('<h4>' + speakertext + '</h4>');
  
    var sp_par = sp.getElementsByTagName('p')[0];
    var sp_partext = sp_par.textContent;
    document.write('<p>' + sp_partext + '</p>');  
    
    }



/*##################################
#    Count paragraphs and words    #
##################################*/

document.write('<h1>Analysis</h1>');

var wordcount = 0;

var paragraphs = xmlDoc.getElementsByTagName('p');
for (var n = 0; n < paragraphs.length; n++) {
    var paragraph = paragraphs[n];
    var paragraph_text = paragraph.textContent;

    var words = paragraph_text.split(/\W+/);
    var wordcount = wordcount + words.length;
    }

document.write('<h2>Count paragraphs and words</h2>Total word count: ' + wordcount + '</br>');
document.write('Number of paragraphs: ' + paragraphs.length + '</br>');
document.write('Average of words per paragraph: ' + wordcount/paragraphs.length + '</br>');


/*#######################################################
#    Count vocatives, i.e. <seg ana="#voc"> elements    #
#######################################################*/

var segcount = 0;

var segs = xmlDoc.getElementsByTagName('seg');
for (var n = 0; n < segs.length; n++) {
    var seg = segs[n];
    var seg_text = seg.textContent;

    var words = seg_text.split(/\W+/);
    var segcount = segcount + words.length;
    }

document.write('<h2>Count vocatives</h2>Total words included in vocatives: ' + segcount + '</br>');
document.write('Number of vocative elements (seg with @ana="#voc">): ' + segs.length + '</br>');
document.write('Average of words per vocative: ' + segcount/segs.length + '</br>');

